# Package net.axay.kspigot.config

## Types

ConfigDelegate
Link copied to clipboard
class ConfigDelegate<T : Any>(configClass: KClass<T>, file: File, saveAfterLoad: Boolean, defaultCallback: () -> T?)
Content copied to clipboard
PluginFile
Link copied to clipboard
class PluginFile(path: String, child: String?) : File
Content copied to clipboard

## Functions

kSpigotJsonConfig
Link copied to clipboard
inline fun <T : Any> kSpigotJsonConfig(file: File, saveAfterLoad: Boolean = false, noinline default: () -> T? = null): ConfigDelegate<T>
Content copied to clipboard
Creates a new ConfigDelegate object.